FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-21-2010, 08:44 AM
Nikos Chantziaras
 
Default MySQL 5.1 and Amarok

It's not possible to use Amarok with the "embedded" USE flag with the
newly released MySQL 5.1. Why is that? Can we expect it to work at
some point?
 
Old 02-21-2010, 03:06 PM
Alan McKinnon
 
Default MySQL 5.1 and Amarok

On Sunday 21 February 2010 11:44:18 Nikos Chantziaras wrote:
> It's not possible to use Amarok with the "embedded" USE flag with the
> newly released MySQL 5.1. Why is that? Can we expect it to work at
> some point?


Do you mean it doesn't work, or the upgrade is dogdy with blocker messages
that seem to have no source, make no sense, and no reason given?

My update this morning would not proceed with amarok-2.2.2 installed, and
portage could not work it's automagic. Unmerging amarok, emergeing world, then
merging amarok-2.2.2.90 seems to be proceeding fine, it's building as I type.

No guarantees it will succeed though...
Or that it will work in any sane fashion.

I'm starting to get really ticked off with amarok. The trials the devs have
put me through defy belief, and for some stupid reason, I persist with the
thing. I've removed it 3 times over the last 2 years and each time given it a
chance again and put it back. I really do like it's feature set, and I really
want it to succeed. My these infernal eternal cockups with mysql will be the
end of me.

But I dunno, I think I'm flogging a dead horse with this music player


--
alan dot mckinnon at gmail dot com
 
Old 02-21-2010, 03:18 PM
Volker Armin Hemmann
 
Default MySQL 5.1 and Amarok

On Sonntag 21 Februar 2010, Alan McKinnon wrote:
> On Sunday 21 February 2010 11:44:18 Nikos Chantziaras wrote:
> > It's not possible to use Amarok with the "embedded" USE flag with the
> > newly released MySQL 5.1. Why is that? Can we expect it to work at
> > some point?
>
> Do you mean it doesn't work, or the upgrade is dogdy with blocker messages
> that seem to have no source, make no sense, and no reason given?
>
> My update this morning would not proceed with amarok-2.2.2 installed, and
> portage could not work it's automagic. Unmerging amarok, emergeing world,
> then merging amarok-2.2.2.90 seems to be proceeding fine, it's building as
> I type.
>
> No guarantees it will succeed though...
> Or that it will work in any sane fashion.
>
> I'm starting to get really ticked off with amarok. The trials the devs have
> put me through defy belief,

what is so bad about typing emerge amarok?

openoffice - now that is a real bitch...
 
Old 02-21-2010, 05:21 PM
Volker Armin Hemmann
 
Default MySQL 5.1 and Amarok

On Sonntag 21 Februar 2010, Nikos Chantziaras wrote:
> It's not possible to use Amarok with the "embedded" USE flag with the
> newly released MySQL 5.1. Why is that? Can we expect it to work at
> some point?

you can use amarok with embedded useflag. just unmerge it and emerge it again -
I just tried it.
It is not much of a difference if you have to do it or revdep-rebuilt is doing
it....

It works.
 
Old 02-21-2010, 07:53 PM
Alan McKinnon
 
Default MySQL 5.1 and Amarok

On Sunday 21 February 2010 18:18:18 Volker Armin Hemmann wrote:
> On Sonntag 21 Februar 2010, Alan McKinnon wrote:
> > On Sunday 21 February 2010 11:44:18 Nikos Chantziaras wrote:
> > > It's not possible to use Amarok with the "embedded" USE flag with the
> > > newly released MySQL 5.1. Why is that? Can we expect it to work at
> > > some point?
> >
> > Do you mean it doesn't work, or the upgrade is dogdy with blocker
> > messages that seem to have no source, make no sense, and no reason
> > given?
> >
> > My update this morning would not proceed with amarok-2.2.2 installed, and
> > portage could not work it's automagic. Unmerging amarok, emergeing world,
> > then merging amarok-2.2.2.90 seems to be proceeding fine, it's building
> > as I type.
> >
> > No guarantees it will succeed though...
> > Or that it will work in any sane fashion.
> >
> > I'm starting to get really ticked off with amarok. The trials the devs
> > have put me through defy belief,
>
> what is so bad about typing emerge amarok?

Initiating the build is not the problem. When the build fails like today, and
it is eerily familiar to errors of the past (see later), then that is a
problem. Today's error:

Linking CXX shared module ../../../../lib/amarok_collection-
mysqlecollection.so
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.3/../../../../x86_64-pc-linux-gnu/bin/ld:
/usr/lib64/mysql/libmysqld.a(client.o): relocation R_X86_64_32 against
`mysql_server_last_error' can not be used when making a shared object;
recompile with -fPIC
/usr/lib64/mysql/libmysqld.a: could not read symbols: Bad value
collect2: ld returned 1 exit status

Until recently, the entire amarok-2.0 range was beset with build trouble, most
often related to mysql. It all comes down to the really odd things the amarok
devs are doing with mysql, which causes problems for us gentoo users. Binary
distros don't have this problem, the maintainers there simply adjust their
build farms to cope and then ship the result. Which the user will not
recompile and all is good.

We can look at amarok's history of randomly crashing for no good reason when
loading playlists, or loading internet streaming services under some
conditions. Our how about the long period when it just steadfastly refused to
even try to read and build a collection, despite the devs declaring it to be a
useable stable release

I'm not making this up, it's all there is in the bugzillas, every ugly
embarrassing bit of it.

Like I said, I'd like this app to succeed. But the evidence shows that the
devs are probably not capable of making it so, given the numbers of
showstoppers it's had in it's basic functionality and backend.

It just ain't there yet.
Ye gods, I'm starting to sound like Dale :-)

> openoffice - now that is a real bitch...

Can't argue with that. But at least 3.2.0 built here today first time (after
I'd given it 6G free in /var/tmp/portage/)

--
alan dot mckinnon at gmail dot com
 

Thread Tools




All times are GMT. The time now is 04:38 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org